/* metro-ui-components@4.1.0 Subset for UFCloud */
.m-logo {
  background-image: url(/content/images/metro_logo_small-512.png);
  background-repeat: no-repeat;
  height: 512px;
  background-position: center;
}
@keyframes k {
  to {
    transform: rotate(1turn);
  }
}
@keyframes l {
  0% {
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
  }
  50% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -35px;
  }
  to {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -124px;
  }
}
svg:not(:root) {
  overflow: hidden;
  vertical-align: middle;
}
:after,
:before {
  box-sizing: inherit;
}
.m-button.m-button-waiting .m-spinner {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 0.6875rem;
  width: 15vw;
}
.m-spinner {
  position: relative;
  margin: 0 auto;
  width: 8vw;
  stroke-width: 0.18rem;
  color: currentColor;
}
.m-spinner:before {
  content: '';
  display: block;
  padding-top: 100%;
}
.m-spinner-svg {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  margin: auto;
  transform-origin: center center;
  animation-name: k;
  animation-delay: 0;
  animation-direction: normal;
  animation-fill-mode: none;
  animation-play-state: running;
  animation-duration: 2s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
  -webkit-font-smoothing: antialiased;
}
.m-spinner-path {
  stroke-dasharray: 89, 200;
  stroke-dashoffset: 0;
  color: inherit;
  stroke: currentColor;
  stroke-width: inherit;
  animation-name: l;
  animation-duration: 1.5s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: infinite;
  stroke-linecap: round;
}
.m-spinner .au-icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: inherit;
  font-size: inherit;
}
.m-thumbnail-spinner {
  position: relative;
  padding-top: 50%;
  box-shadow: 0 1px 4px 0 rgba(33, 33, 33, 0.2);
}
.m-thumbnail-spinner .m-spinner {
  position: absolute;
  top: 50%;
  left: 50%;
  margin-left: -1em;
  margin-top: -1em;
}
@media (min-width: 768px) {
  .m-filePreview .m-spinner {
    font-size: 1.125rem;
    stroke-width: 0.2rem;
  }
}
.m-checkbox {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: start;
  justify-content: flex-start;
  padding: 0;
  font-size: 1rem;
  cursor: pointer;
}
html:not(.touchevents) .m-checkbox:hover .m-checkbox-input:not(:disabled) + .m-checkbox-inputIcon {
  border-color: #0064fe;
}
.m-checkbox-inputIcon {
  position: relative;
  float: left;
  width: 1.25rem;
  height: 1.25rem;
  border: 0.0625rem solid #99a1ad;
  border-radius: 0.125rem;
  box-shadow: 0 0 0 0.0625rem #99a1ad;
  background-color: #fff;
  transition: background-color, border-color, box-shadow;
  transition-duration: 0.35s;
  transition-delay: 0.15s;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  will-change: background-color, border-color;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  -webkit-appearance: none;
  -moz-appearance: none;
  margin-right: 0.5rem;
}
.m-checkbox-inputIcon:before {
  content: '';
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: -1;
  width: 0;
  height: 0;
  border-radius: 0.125rem;
  background-color: transparent;
  transition: width, height, background-color;
  transition-duration: 0.35s;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}
.m-checkbox-inputIcon svg {
  position: absolute;
  top: 0.0625rem;
  left: 0.0625rem;
  width: 1rem;
  height: 1rem;
}
.m-checkbox-inputIcon svg path,
.m-checkbox-inputIcon svg polyline {
  fill: none;
  stroke: #fff;
  stroke-width: 2;
  stroke-linecap: round;
  stroke-linejoin: round;
  stroke-dasharray: 1.125rem;
  stroke-dashoffset: 1.125rem;
  will-change: stroke-dashoffset;
  transition: stroke-dashoffset 0.15s cubic-bezier(0.4, 0, 0.2, 1);
  transition-delay: 0s;
}
.m-checkbox-inputIcon:focus {
  box-shadow: 0 0 0 0.0625rem #f0f;
  border: 1.0625rem solid #0f0;
}
.m-checkbox-input {
  position: absolute;
  opacity: 0;
}
.m-checkbox-input:focus + .m-checkbox-inputIcon:before {
  width: 2rem;
  height: 2rem;
  background-color: #cce0ff;
}
.m-checkbox-input:checked + .m-checkbox-inputIcon,
.m-checkbox-isIndeterminate .m-checkbox-input + .m-checkbox-inputIcon {
  border-color: #0064fe;
  box-shadow: 0 0 0 0.0625rem #0064fe;
  background-color: #0064fe;
  transition-delay: 0s;
}
.m-checkbox-input:checked + .m-checkbox-inputIcon path,
.m-checkbox-input:checked + .m-checkbox-inputIcon polyline,
.m-checkbox-isIndeterminate .m-checkbox-input + .m-checkbox-inputIcon path,
.m-checkbox-isIndeterminate .m-checkbox-input + .m-checkbox-inputIcon polyline {
  stroke-dashoffset: 0;
  transition-delay: 0.15s;
}
.m-checkbox-input:disabled:not(:checked) + .m-checkbox-inputIcon {
  box-shadow: none;
  padding: 0.0625rem;
}
.m-checkbox-input:checked:disabled + .m-checkbox-inputIcon,
.m-checkbox-isIndeterminate .m-checkbox-input:disabled + .m-checkbox-inputIcon {
  border-color: #ccd0d6;
  box-shadow: 0 0 0 0.0625rem #ccd0d6;
  background-color: #ccd0d6;
}
.m-checkbox-input:disabled + .m-checkbox-inputIcon {
  border-color: #e6e8eb;
  background-color: #f2f3f5;
}
.m-checkbox-input:disabled ~ .m-checkbox-label,
.m-checkbox-input:disabled ~ .m-checkbox-label strong {
  color: #ccd0d6;
}
.m-checkbox-label {
  font-size: 1rem;
  line-height: 1.375rem;
  color: #33435b;
  margin-left: 0.75rem;
}
.m-checkbox-label > strong {
  color: #002d72;
}
.m-table-cell-small .m-checkbox {
  display: block;
}
.m-checkboxGroup {
  margin: 0 0 1.5rem;
}
.m-checkboxGroup-content {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: row;
  flex-direction: row;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -ms-flex-pack: start;
  justify-content: flex-start;
  -ms-flex-align: start;
  align-items: flex-start;
}
.m-checkboxGroup .m-checkbox {
  margin: 0 0 1.5rem;
  -ms-flex: 1 1 50%;
  flex: 1 1 50%;
}
@media (min-width: 321px) {
  .m-checkboxGroup .m-checkbox {
    -ms-flex-preferred-size: 33.333333%;
    flex-basis: 33.333333%;
  }
}
@media (min-width: 768px) {
  .m-checkboxGroup .m-checkbox {
    -ms-flex-preferred-size: 25%;
    flex-basis: 25%;
  }
}
